2021-01-15 16:31 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002433Frama-CPlug-in > obfuscatorpublic2019-07-05 11:41
Reportervirgile 
Assigned Tovirgile 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Product VersionFrama-C 18-Argon 
Target VersionFrama-C 19-PotassiumFixed in VersionFrama-C 19-Potassium 
Summary0002433: Obfuscator does not obfuscate argument name of function pointers
DescriptionUsing the code given in attachment, the output of `frama-c -obfuscate obf.c` does leak the name of my_arg, the formal parameter of the function pointer typedef'd as func.
TagsNo tags attached.
Attached Files
  • c file icon obf.c (222 bytes) 2019-03-26 11:06 -
    struct S { int x; };
    
    typedef int (*func)(struct S* my_arg);
    
    struct T { func f; struct S private_s; };
    
    int f(func g, struct S* other_arg) { return g(other_arg); }
    
    int g(struct T arg) {
      return arg.f(&arg.private_s);
    }
    
    c file icon obf.c (222 bytes) 2019-03-26 11:06 +

-Relationships
+Relationships

-Notes

~0006761

virgile (developer)

Patch incorporated into dev branch, will be part of next release.
+Notes

-Issue History
Date Modified Username Field Change
2019-03-26 11:06 virgile New Issue
2019-03-26 11:06 virgile Status new => assigned
2019-03-26 11:06 virgile Assigned To => signoles
2019-03-26 11:06 virgile File Added: obf.c
2019-04-09 12:19 virgile Note Added: 0006761
2019-04-09 12:19 virgile Status assigned => resolved
2019-04-09 12:19 virgile Fixed in Version => Frama-C 19-Potassium
2019-04-09 12:19 virgile Resolution open => fixed
2019-04-09 12:19 virgile Assigned To signoles => virgile
2019-07-05 11:41 signoles Status resolved => closed
+Issue History